// NumEdit.cpp : implementation file
//

#include "stdafx.h"
#include "bibli.h"
#include "NumEdit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// NumEdit

NumEdit::NumEdit()
{

}

NumEdit::~NumEdit()
{
}



BEGIN_MESSAGE_MAP(NumEdit, CEdit)
	//{{AFX_MSG_MAP(NumEdit)
	ON_CONTROL_REFLECT(EN_KILLFOCUS, OnKillfocus)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// NumEdit message handlers


void NumEdit::OnKillfocus() 
{
   	CString num;
	this->GetWindowText(num);

    for ( int i = 0 ; i < num.GetLength() ; i++ ) {
		if ( !(num[i] > '0' && num[i] < '9') )
			break;
	}
	if ( i < num.GetLength() ) {
		MessageBox(_T("Ce champ ne doit contenir que des chiffres"),
			       _T("Syntaxe champ numérique !"),
				   MB_ICONERROR | MB_OK );
		this->SetWindowText("");
	}
}
